%define lib_major       0
%define libname        %mklibname gdiplus %{lib_major}
%define libnamedev     %mklibname -d gdiplus

Name:		libgdiplus
Summary:	An Open Source implementation of the GDI+ API
Version: 2.10
%define  subrel 1
Release: %mkrel 3
License:	MIT
Group:		System/Libraries
URL:		http://go-mono.com
Source:		http://www.go-mono.com/sources/%name/%{name}-%{version}.tar.bz2
Patch0:		libgdiplus-2.10.1-libpng15.patch
Patch1:		libgdiplus-2.10-link.patch
BuildRequires:	glib2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libexif-devel
BuildRequires:	libungif-devel
BuildRequires:	libtiff-devel
BuildRequires:	libpng-devel
BuildRequires:	libsm-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxml2-devel
BuildRequires:	libfontconfig-devel
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	ungif-devel
BuildRequires:	automake

%description
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%package -n %{libname}
Summary:	An Open Source implementation of the GDI+ API
Group:		System/Libraries
Provides:	%name = %version-%release
Conflicts:	%{libname} < %{version}-3.1

%description -n %{libname}
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%package -n %{libnamedev}
Summary:	Libraries for developing with libgdiplus
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d gdiplus 0
Conflicts:	%{libnamedev} < %{version}-3.1

%description -n %{libnamedev}
This package provides the necessary development libraries to allow
you to develop with libgdiplus.


%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
autoconf -f
%configure2_5x --disable-static --with-cairo=system
%make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %buildroot%{_libdir}/*.la

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING
%{_libdir}/*.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(0644, root, root, 0755)
%doc src/ChangeLog
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog

* Wed Aug 29 2012 matteo <matteo> 2.10-3.1.mga2
+ Revision: 285420
- removed --with-pango flag causing bug mga#5683

  + fwang <fwang>
    - rebuild for new libtiff

* Sun Sep 11 2011 fwang <fwang> 2.10-2.mga2
+ Revision: 142312
- fix link patch
- fix linkage
- add netbsd patch to build with libpng 1.5
- br pango
- more br
- rebuild for new libpng

* Thu Jul 14 2011 fwang <fwang> 2.10-1.mga2
+ Revision: 123960
- new version 2.10

* Sat Jan 15 2011 ahmad <ahmad> 2.8.1-2.mga1
+ Revision: 18120
- drop old/unneeded scriptlets
- imported package libgdiplus

